> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/diagnostic/speedtest-servers

> Get list of servers for a provider

## OpenAPI

````json GET /v1/diagnostic/speedtest-servers
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/diagnostic/speedtest-servers": {
      "get": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "deviceId",
            "in": "query",
            "description": "Unique identifier for a specific device",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 12345678910,
              "minimum": 0
            },
            "example": 30000000555
          },
          {
            "name": "provider",
            "in": "query",
            "description": "supported provider for speedtest utility",
            "required": true,
            "schema": {
              "type": "string",
              "example": "ENUM_VALUE"
            },
            "example": "ookla"
          },
          {
            "name": "vrfName",
            "in": "query",
            "description": "Configured Wan Circuit Name",
            "required": true,
            "schema": {
              "type": "string",
              "example": "example string"
            },
            "example": "c-gigabitethernet1"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1DiagnosticSpeedtestServersGetResponse"
                }
              }
            }
          }
        },
        "description": "Get list of servers for a provider"
      }
    }
  },
  "components": {
    "schemas": {
      "v1DiagnosticSpeedtestServersGetResponse": {
        "type": "object",
        "properties": {
          "server": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/diagnosticToolsSpeedtestServer"
            }
          }
        },
        "additionalProperties": false
      },
      "diagnosticToolsSpeedtestServer": {
        "type": "object",
        "properties": {
          "country": {
            "type": "string",
            "example": "United Kingdom",
            "description": "Country of the speedtest server (required)"
          },
          "host": {
            "type": "string",
            "example": "speedtest.fastmetrics.com",
            "description": "Hostname of the speedtest server (required)"
          },
          "id": {
            "type": "string",
            "example": 29113,
            "description": "Server Id. Internal mapping to a server."
          },
          "ipAddress": {
            "type": "string",
            "example": "1213:1::6451",
            "description": "IPv4 or IPv6 address (required)"
          },
          "location": {
            "type": "string",
            "example": "Sheffield",
            "description": "Location of the speedtest server (required)"
          },
          "name": {
            "type": "string",
            "example": "Google Fiber",
            "description": "Name of the speedtest server (required)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

